Loading...
Searching...
No Matches
QXmppJingleRtpFeedbackProperty Class Reference

The QXmppJingleRtpFeedbackProperty class represents the XEP-0293: Jingle RTP Feedback Negotiation "rtcp-fb" element. More...

## Public Member Functions

| QXmppJingleRtpFeedbackProperty ()
QString | type () const
void | setType (const QString &type)
QString | subtype () const
void | setSubtype (const QString &subtype)
QVector< QXmppSdpParameter > | parameters () const
void | setParameters (const QVector< QXmppSdpParameter > &parameters)

## Static Public Member Functions

static bool | isJingleRtpFeedbackProperty (const QDomElement &element)

## Detailed Description

The QXmppJingleRtpFeedbackProperty class represents the XEP-0293: Jingle RTP Feedback Negotiation "rtcp-fb" element.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## QXmppJingleRtpFeedbackProperty()

QXmppJingleRtpFeedbackProperty::QXmppJingleRtpFeedbackProperty | ( |  | ) |

Constructs a Jingle RTP feedback property.

## Member Function Documentation

## isJingleRtpFeedbackProperty()

bool QXmppJingleRtpFeedbackProperty::isJingleRtpFeedbackProperty | ( | const QDomElement & | element | ) |

static

Determines whether the given DOM element is an RTP feedback property element.

Parameters

  element | DOM element being checked

Returns
  whether element is an RTP feedback property element

## parameters()

QVector< QXmppSdpParameter > QXmppJingleRtpFeedbackProperty::parameters | ( |  | ) | const

Returns the parameters of RTP feedback.

Returns
  the RTP feedback parameters

## setParameters()

void QXmppJingleRtpFeedbackProperty::setParameters | ( | const QVector< QXmppSdpParameter > & | parameters | ) |

Sets the parameters of RTP feedback.

Additional parameters can be set by this method. If there is only one parameter, use QXmppJingleRtpFeedbackProperty::setSubtype() instead of this method.

Parameters

  parameters | RTP feedback parameters

## setSubtype()

void QXmppJingleRtpFeedbackProperty::setSubtype | ( | const QString & | subtype | ) |

Sets the subtype of RTP feedback.

If there is more than one parameter, use QXmppJingleRtpFeedbackProperty::setParameters() instead of this method.

Parameters

  subtype | RTP feedback subtype

## setType()

void QXmppJingleRtpFeedbackProperty::setType | ( | const QString & | type | ) |

Sets the type of RTP feedback.

Parameters

  type | RTP feedback type

## subtype()

QString QXmppJingleRtpFeedbackProperty::subtype | ( |  | ) | const

Returns the subtype for RTP feedback.

Returns
  the RTP feedback subtype

## type()

QString QXmppJingleRtpFeedbackProperty::type | ( |  | ) | const

Returns the type of RTP feedback.

Returns
  the RTP feedback type

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp